# ``fn_gen`.`enums`.`sweep_trigger_source`.`SweepTriggerSource``

class documentation

`class SweepTriggerSource(Enum):`

View In Hierarchy

The Source of the trigger for the sweep

Constant | `EXTERNAL` | An external trigger signal
Constant | `INTERNAL` | An Internal trigger signal, defined by htime_start, htime_stop
Constant | `MANUAL` | A manual trigger set in code by the trigger function

EXTERNAL: `int` =

An external trigger signal

Value

    2

INTERNAL: `int` =

An Internal trigger signal, defined by htime_start, htime_stop

Value

    1

MANUAL: `int` =

A manual trigger set in code by the trigger function

Value

    3